@import url('https://fonts.googleapis.com/css2?family=Instrument+Sans:ital,wght@0,400..700;1,400..700&display=swap');

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Zain", sans-serif;
    font-weight: 300;
    line-height: 1.7;
    color: #2c365a;
}

/* HEADER */

.site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;

    height: 60px;

    display: flex;
    align-items: center;
    justify-content: center;

    background: #110012;

    z-index: 999;

    transition: all 0.5s ease;
}
.site-header img {
    height: 30px;
    width: auto;
}

.site-header.scrolled {
    background: rgb(17, 0, 18, 0.45);
    backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
}

h1{
    font-family: "Instrument Sans", sans-serif;
    font-weight: 400;
    letter-spacing: 1px;
    font-size: 50px;
    color: rgba(238, 232, 223, 0.96);
    text-transform: uppercase;
}

h2 {
    font-family: "Instrument Sans", sans-serif;
    font-weight: 400;
    font-size: 40px;
    margin-bottom: 20px;
    letter-spacing: 2px;
    text-transform: uppercase;
}

h3 {
    font-size: 26px;
    margin-bottom: 10px;
}

p {
    font-size: 18px;
    letter-spacing: 0.6px;
    font-weight: 300;
}

.bloomipe {
    position: fixed;
    top: 60px;
    left: 50%;
    transform: translateX(-50%);

    width: 85px;

    z-index: 3;
}

.section-label {
    font-size: 10px;
    letter-spacing: 3px;
    text-transform: uppercase;
    color: #9a9a9a;
    margin-bottom: 10px;
}


.container {
    width: 88%;
    max-width: 1100px;
    margin: auto;
    padding: 90px 0;
}

.intro-container {
    max-width: 720px;
}

.hero {
    padding-top: 140px;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 80px 20px;
    position: relative;
    overflow: hidden;
}

.hero::before {
    content: "";
    position: absolute;

    top: -40px;
    left: -40px;
    right: -40px;
    bottom: -40px;

    background-image: url("papelaria-bg.jpeg");
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;


    z-index: -2;
}

.hero::after {
    content: "";
    position: absolute;
    inset: 0;
    background:rgba(17, 0, 18, 0.941);
    

    z-index: -1;
}

.hero-content {
    position: relative;
    padding: 70px 90px;
    text-align: center;
    z-index: 2;
}

.tag {
    letter-spacing: 4px;
    text-transform: uppercase;
    font-size: 12px;
    color:  rgba(238, 232, 223, 0.96);
    margin-bottom: 10px;
}

.subtitle {
    font-size: 20px;
    max-width: 520px;
    margin: auto;
    color: #818589;
}

.btn {
    display: inline-block;
    margin-top: 45px;
    padding: 14px 34px;
    background: rgba(238, 232, 223, 0.25);
    color:rgba(238, 232, 223);
    text-decoration: none;
    border-radius: 40px;
    font-size: 22px;
    transition: all 0.5s ease;
}


.btn:hover {
    background: #507bb0;
    color: rgba(238, 232, 223, 0.96);
    transform: translateY(-2px);
}

.intro {
    color: rgba(238, 232, 223, 0.96);
    background: #818589;
    text-align: center;
}

.sobre {
    background: rgba(238, 232, 223, 0.96);
    color: #1f2742;
}

.sobre-grid {
    display: grid;
    grid-template-columns: 280px 1fr;
    align-items: center;
    gap: 60px;
}

.portfolio {
    color: rgba(238, 232, 223, 0.96);
    background: #110012;
}

.cta h2 {
    font-weight: 600;
}

.cta {
    background: #6c6fc5;
    color: white;
    text-align: center;
}

.cta p {
    color: #f0f0f0;
    font-weight: 400;
}

.cta .btn {
    background: white;
    color: #5a5ebb;
    font-weight: 400 ;
}

.sobre-grid {
    display: flex;
    align-items: center;
    gap: 40px;
}

.sobre-foto img {
    width: 100%;
    max-width: 160px;
    border-radius: 10px;
}

.sobre-texto {
    max-width: 520px;
}

.sobre-texto p {
    margin-top: 10px;
    line-height: 1.7;
}

.portfolio-text {
    margin: 15px auto 15px 0;
}

.instagram-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 7px;
    margin-top: 30px;
}

.instagram-grid img,
.instagram-grid video {
    width: 100%;
    height: auto;

    border-radius: 7px;

    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.06);

    filter: grayscale(100%);

    transition: filter 0.6s ease;
}

.instagram-grid img.colorido,
.instagram-grid video.colorido {
    filter: grayscale(0%);
}

.planos-grid {
    display: flex;
    gap: 40px;
    flex-wrap: wrap;
    margin-top: 60px;
}

.plano {
    flex: 1;
    min-width: 320px;

    background: white;

    padding: 45px;

    border-radius: 14px;

    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.07);

    position: relative;

    transition: all 0.35s ease;
}

.plano:hover {
    transform: translateY(-6px);
}

.plano.destaque {
    background:  #eeeff1;

    color: #110012;

    border: 2px solid #6c6fc5;

    transform: scale(1.04);
}

.plano.destaque:hover {
    transform: scale(1.04) translateY(-6px);
}

.badge {
    position: absolute;

    top: -12px;
    left: 30px;

    background: #eee;

    padding: 6px 14px;

    border-radius: 30px;

    font-size: 12px;

    letter-spacing: 1px;
}

.oferta {
    background: #6c6fc5;
    color: white;
}

.plano-sub {
    color: #777;
    margin-bottom: 25px;
}

.plano.destaque .plano-sub {
    color:#353035;
}

.preco {
    font-size: 42px;
    color: #353035;
    font-weight: 400;
    margin-bottom: 25px;
}

.preco span {
    font-size: 18px;
    color: #666;
}

.plano.destaque .preco span {
    color: rgba(162, 162, 162, 0.8);
}

ul {
    list-style: none;
}

ul li {
    margin-bottom: 12px;
    font-size: 17px;
}

.plano.destaque ul li {
    color: #110012;
}

.detalhe {
    margin-top: 20px;
    color: #666;
}

.plano.destaque .detalhe {
    color: #110012;
}

.gatilho {
    margin-top: 20px;
    font-size: 14px;
    color: #888;
}

.plano.destaque .gatilho {
    color: #6c6fc5;
    font-size: larger;
    font-weight: 600;
}

footer {
    text-align: center;
    padding: 40px;
    background: #000;
    color: #aaa;
    font-size: 14px;
}
.hero-desc {
    font-size: 18px;
    max-width: 520px;
    margin: 20px auto 10px;
    color: #5f6368;
}

.hero-highlight {
    font-size: 20px;
    margin-top: 10px;
    color: rgba(238, 232, 223, 0.96);
}

.hero-highlight strong {
    color: rgba(238, 232, 223, 0.96);
    font-weight: 600;
}

.hero .btn {
    margin-top: 30px;
}
@media (max-width: 900px) {
    h1 {
        font-size: 50px;
    }

    h2 {
        font-size: 28px;
    }

    .container {
        padding: 70px 0;
    }
}

@media (max-width: 600px) {
    .hero {
        padding: 10px 10px;
    }

    .hero-content {
        padding: 45px 27px;
    }

    h1 {
        font-size: 28px;
    }

    h2 {
        font-size: 24px;
    }

    .subtitle {
        font-size: 17px;
        margin: auto;
        padding: 0 20px;
    }

    .planos-grid {
        flex-direction: column;
    }

    .plano.destaque {
        transform: none;
    }

    .btn {
        padding: 16px 28px;
    }
    .sobre-grid {
        flex-direction: column;
        text-align: center;
        gap: 30px;
    }

    .sobre-foto img {
        width: 140px;
        margin: auto;
        display: block;
    }

    .sobre-texto {
        max-width: 520px;
        margin: auto;
    }

    .sobre-texto p {
        font-size: 17px;
        line-height: 1.6;
    }

    .section-label {
        letter-spacing: 2px;
        font-size: 12px;
    }
    .site-header img {
        width: 55px;
    }
}
    
